{% extends "ajax/ajax.html.twig" %}
{% block menu_bar %}
    <div class="header-stats">
        <ul>
            <li><span class='count'>{{deadCitizenCount|number_format(0, ',', ' ')}}</span> {{'Bürger gestorben'|trans({}, 'welcome')}}</li>
            <li><span class='count'>{{zombiesKilled|number_format(0, ',', ' ')}}</span> {{'Zombies gekillt'|trans({}, 'welcome')}}</li>
            <li><span class='count'>{{canibalismCount|number_format(0, ',', ' ')}}</span> {{'Akte von Kannibalismus'|trans({}, 'welcome')}}</li>
            <li class="end-stat">{{'Und das wird kaum besser werden...'|trans({}, 'welcome')}}</li>
        </ul>
    </div>
{% endblock %}
{% block ajax %}
    <div class="row">
        <div class="cell padded header rw-8 ro-2 rw-lg-12 ro-lg-0">
            <h4>{% trans from 'login' %}Einloggen{% endtrans %}</h4>

            <br /><br />

            <div id="login-etwin">
                <div class="row-flex v-center wrap">
                    <div class="padded cell rw-8 rw-md-12">
                        <img alt="eternal-twin" src="{{ asset('build/images/eternal-twin/logo.png') }}" class="fit" />
                    </div>
                    <div class="padded cell rw-4 rw-md-12">
                        <div class="note justify">
                            {{ 'MyHordes ist ein Teil des EternalTwin-Netzwerks. Wenn du einen EternalTwin-Account hast, kannst du MyHordes ohne zusätzliche Registrierung spielen!'|trans({},'login') }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="padded cell ro-3 rw-6 ro-md-0 rw-md-12">
                        <button id="et_login_button"><img style="width: 16px;" alt="" src="{{ asset('build/images/eternal-twin/icon_small.png') }}">{{ 'Über EternalTwin einloggen'|trans({},'login') }}</button>
                    </div>
                </div>
                <div class="row">
                    <div class="padded cell ro-3 rw-6 ro-md-0 rw-md-12">
                        <label for="et_remember_me"><input type="checkbox" id="et_remember_me" name="et_remember_me"/>
                            {% trans from 'login' %}Angemeldet bleiben{% endtrans %}
                        </label>
                    </div>
                </div>
                <div class="row">
                    <div class="padded cell ro-3 rw-6 ro-md-0 rw-md-12">
                        <a href="{{ url('gateway-etwin-reg') }}" target="_blank"><button class="blue"><img style="width: 16px;" alt="" src="{{ asset('build/images/eternal-twin/icon_small.png') }}">{{ 'Registrieren'|trans({},'login') }}</button></a>
                    </div>
                </div>

                {% if myh %}
                    <div class="or"></div>
                    <div class="row-flex v-center wrap">
                        <div class="padded cell rw-6 hide-md hide-sm">
                            <div class="note justify">
                                {{ 'Wenn du noch einen alten MyHordes-Account hast, kannst du dich vorerst auch damit einloggen.'|trans({},'login') }}
                            </div>
                        </div>

                        <div class="padded cell rw-6 rw-md-12">
                            <img alt="myhordes" src="{{ asset('build/images/eternal-twin/legacy.png') }}" class="fit" />
                        </div>

                        <div class="padded cell rw-12 hide-lg hide-desktop">
                            <div class="note justify">
                                {{ 'Wenn du noch einen alten MyHordes-Account hast, kannst du dich vorerst auch damit einloggen.'|trans({},'login') }}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="padded cell ro-3 rw-6 ro-md-0 rw-md-12">
                            <button id="myh">{{ 'Über MyHordes einloggen'|trans({},'login') }}</button>
                        </div>
                    </div>
                {% endif %}
            </div>

            {% if etwin is null or myh %}
                <div id="login-myhordes" {% if etwin is not null %}style="display: none"{% endif %}>
                    <p class="justify">
                        {% trans from 'login' %}Bitte gib deinen Spielernamen und dein Passwort ein.{% endtrans %}
                    </p>
                    <form id="login-form">
                        <div class="row">
                            <div class="cell padded-small rw-4 rw-md-12"><b><label for="login-name">{% trans from 'login' %}Spielername{% endtrans %}</label></b></div>
                            <div class="cell padded-small rw-8 rw-md-12"><input name="login_user" id="login-name" type="text" /></div>
                        </div>
                        <div class="row">
                            <div class="cell padded-small rw-4 rw-md-12"><b><label for="login-password">{% trans from 'login' %}Passwort{% endtrans %}</label></b></div>
                            <div class="cell padded-small rw-8 rw-md-12"><input name="login_pass" id="login-password" type="password" /></div>
                        </div>
                        <div class="row">
                            <div class="cell padded-small rw-4 rw-md-8"><b><label for="remember_me">{% trans from 'login' %}Angemeldet bleiben{% endtrans %}</label></b></div>
                            <div class="cell padded-small rw-8 rw-md-4"><input type="checkbox" id="remember_me" name="remember_me"/></div>
                        </div>
                        <div class="row-flex bottom right wrap">
                            <div class="cell padded-small rw-4 rw-md-6 rw-sm-12">
                                <button id="login_button">{% trans from 'login' %}Einloggen{% endtrans %}</button>
                            </div>
                            {% if etwin is null %}
                                <div class="cell padded-small rw-4 rw-md-6 rw-sm-12">
                                    <span class="small hide-sm">{% trans from 'login' %}Du hast noch keinen Account?{% endtrans %}</span>
                                    <button x-ajax-href="{{ path('public_register') }}" class="blue">{% trans from 'login' %}Registrieren!{% endtrans %}</button>
                                </div>
                            {% endif %}
                        </div>
                    </form>
                    <p class="right small">
                        <a href="" x-ajax-href="{{ path('public_reset') }}">{% trans from 'login' %}Passwort vergessen?{% endtrans %}</a>
                        {% if etwin is not null %}
                            <br /><a href="" id="etwin">{% trans from 'login' %}Über EternalTwin einloggen{% endtrans %}</a>
                        {% endif %}
                    </p>
                </div>
            {% endif %}

        </div>
    </div>
    {% include "ajax/public/fact.html.twig" with {fact: fact} %}
{% endblock %}

{% block js %}
    <script>
        {% if etwin is null or myh %}
            document.getElementById('login_button').addEventListener('click', function(e) {
                e.preventDefault();
                $.ajax.easySend( '{{ path('api_login') }}', $.html.serializeForm(document.getElementById('login-form')),
                    function (data) {
                        if (data.require_validation) $.ajax.load(null, '{{ path('public_validate') }}', true);
                        else if ($.client.config.navigationCache.get()) {
                            $.ajax.load(null, $.client.config.navigationCache.get(), true, {}, () => $.msg.execute());
                            $.client.config.navigationCache.set(null);
                        }
                        else $.ajax.load(null, '{{ path('initial_landing') }}', true, {}, () => $.msg.execute());
                    }, {'default': '{% trans from 'login' %}Login fehlgeschlagen. Bitte prüfe deine Eingaben.{% endtrans %}'} )
            });
        {% endif %}

        {% if etwin is not null %}
            document.getElementById('et_login_button').addEventListener('click', () => {
                location.href = document.getElementById('et_remember_me').checked ? '{{ path('gateway-remember-etwin') }}' : '{{ path('gateway-etwin') }}'
            })
        {% endif %}

        {% if etwin is not null and myh %}
            document.getElementById('myh').addEventListener('click', function(e) {
                document.getElementById('login-myhordes').style.display = null;
                document.getElementById('login-etwin').style.display = 'none';
                e.preventDefault();
            });
            document.getElementById('etwin').addEventListener('click', function(e) {
                document.getElementById('login-myhordes').style.display = 'none';
                document.getElementById('login-etwin').style.display = null;
                e.preventDefault();
            });
        {% endif %}
    </script>
{% endblock %}